curl --request POST \
--url https://api.steuerboard.com/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"title": "Task Upload Documents",
"workspaceId": "cmf41ajzv003706un4i99q19z",
"text": "Upload the documents",
"dueDate": "2021-01-01T00:00:00Z",
"parentId": "cmf41ajzv003706un4i99q19z"
}
'import requests
url = "https://api.steuerboard.com/v1/tasks"
payload = {
"title": "Task Upload Documents",
"workspaceId": "cmf41ajzv003706un4i99q19z",
"text": "Upload the documents",
"dueDate": "2021-01-01T00:00:00Z",
"parentId": "cmf41ajzv003706un4i99q19z"
}
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Task Upload Documents',
workspaceId: 'cmf41ajzv003706un4i99q19z',
text: 'Upload the documents',
dueDate: '2021-01-01T00:00:00Z',
parentId: 'cmf41ajzv003706un4i99q19z'
})
};
fetch('https://api.steuerboard.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q19z",
"title": "Task 1",
"text": "Upload the documents",
"status": "OPEN",
"dueDate": "2021-01-01T00:00:00Z",
"workspaceId": "cmf41ajzv003706un4i99q19z",
"createdById": "cmf41ajzv003706un4i99q19z",
"actorType": "USER",
"parentId": "cmf41ajzv003706un4i99q19z",
"destinationFolderId": "cmf41ajzv003706un4i99q19z",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z"
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"title"
],
"message": "Required"
},
{
"code": "invalid_type",
"path": [
"workspaceId"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.Create a task
Creates a new task and returns the created task.
Authorizations
Bearer token authentication
Headers
The ID of the client
"cmf41ajzv003706un4i99q19z"
Body
Task create
The title of the task
"Task Upload Documents"
The ID of the workspace
"cmf41ajzv003706un4i99q19z"
The text of the task
"Upload the documents"
The due date of a task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The ID of the parent task
"cmf41ajzv003706un4i99q19z"
Response
Task created successfully
The ID of the task
"cmf41ajzv003706un4i99q19z"
The title of the task
"Task 1"
The text of the task
"Upload the documents"
The status of the task
IN_PROGRESS, ACCEPTED, OPEN, IN_REVIEW, DECLINED "OPEN"
The due date of a task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The ID of the workspace
"cmf41ajzv003706un4i99q19z"
The ID of the creator
"cmf41ajzv003706un4i99q19z"
The type of the actor
USER, SYSTEM, AI, API "USER"
The ID of the parent task
"cmf41ajzv003706un4i99q19z"
The ID of the destination folder where assigned files will be stored
"cmf41ajzv003706un4i99q19z"
The date and time of the creation for the task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The date and time of the last update for the task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"